unit INIFileEx;
interface
uses INIFiles, Graphics;

type TINIFileEx=class(TINIFile)
                public
                  procedure WriteColor(const Section,Ident:string; Value:TColor);
                  function ReadColor(const Section,Ident:string; Default:TColor):TColor;
                end;

implementation

procedure TINIFileEx.WriteColor(const Section,Ident:string; Value:TColor);
const hex:array[0..15]of char='0123456789ABCDEF';
begin
  WriteString(Section,Ident,'#'+
    hex[(Value SHR  4)AND 15]+hex[ Value        AND 15]+
    hex[(Value SHR 12)AND 15]+hex[(Value SHR  8)AND 15]+
    hex[(Value SHR 20)AND 15]+hex[(Value SHR 16)AND 15]);
end;

function TINIFileEx.ReadColor(const Section,Ident:string; Default:TColor):TColor;
var s:string; i:integer; c:char;
begin
  s:=ReadString(Section,Ident,'');
  if (length(s)<>7) OR (s[1]<>'#') then begin
    Result:=Default;
    exit;
  end;
  Result:=0;
  for i:=2 to 7 do begin
    c:=s[i];
    case c of
      '0'..'9':Result:=(Result SHL 4) OR (byte(c)-48);
      'A'..'F':Result:=(Result SHL 4) OR (byte(c)-55);
      'a'..'f':Result:=(Result SHL 4) OR (byte(c)-87);
    else
      Result:=Default;
      exit;
    end;
  end;
  Result:=((Result AND $FF0000) SHR 16) OR (Result AND $00FF00) OR
          ((Result AND $0000FF) SHL 16);
end;

end.
