#include "colors.inc"
#include "textures.inc"

global_settings
{
  assumed_gamma 1.0
}

// ----------------------------------------
camera
{
  location  <5.0, 5.0, -8.0>
//  direction -1.5*x
//  right     4/3*x
  look_at   <1, 1, 0>
  sky <1,0,0>
//  up        <0,-1,0>
}

light_source { <-30,-30,-30> color White }
light_source { < 30,-30,-30> color White }
light_source { <-30, 30,-30> color White }
light_source { < 30, 30,-30> color White }

// ----------------------------------------

#declare MyBlue=pigment { marble turbulence 1.8 translate <7,8,9>
                  color_map { [0.0 rgb <0.1, 0.0, 0.6>]
                              [0.8 rgb <0.0, 0.1, 0.3>]
                              [0.8 rgb <0.1, 0.0, 0.6>]
                              [1.0 rgb <0.0, 0.1, 0.2>] } }

#declare MyPurple=pigment { granite
                    color_map { [0.0 rgb <0.0, 0.0, 0.0>]
                                [1.0 rgb <0.8, 0.1, 0.7>] } }

#declare Cube=object { box { <-.4,-.4,-.4> <.4,.4,.4> } }

union {
  object { Cube translate <-5, 5,0> }
  object { Cube translate < 5, 2,0> }
  object { Cube translate < 3, 1,0> }
  object { Cube translate <-1, 0,0> }
  object { Cube translate < 3, 0,0> }
  object { Cube translate <-3,-1,0> }
  object { Cube translate < 4,-1,0> }
  object { Cube translate <-5,-2,0> }
  object { Cube translate <-4,-2,0> }
  object { Cube translate < 3,-3,0> }
  object { Cube translate < 4,-3,0> }
  object { Cube translate <-3,-3,0> }
  pigment { MyBlue }
}
union {
  object { Cube translate < 2,-2,0> }
  object { Cube translate < 3,-2,0> }
  object { Cube translate <-4,-3,0> }
  object { Cube translate <-2,-5,0> }
  object { Cube translate <-2,-3,0> }
  object { Cube translate < 0,-3,0> }
  object { Cube translate <-1,-4,0> }
  object { Cube translate <-4,-5,0> }
  object { Cube translate < 2,-5,0> }
  object { Cube translate < 5,-4,0> }
  object { Cube translate < 3,-4,0> }
  object { Cube translate < 5, 5,0> }
  object { Cube translate <-5, 4,0> }
  object { Cube translate < 2, 4,0> }
  object { Cube translate < 4, 3,0> }
  object { Cube translate <-4, 3,0> }
  object { Cube translate < 0, 1.5,0> }
  object { Cube translate < 2, 2,0> }
  object { Cube translate < 4, 2,0> }
  object { Cube translate <-1, 1,0> }
  object { Cube translate < 0, 0.5,0> }
  object { Cube translate <-5, 1,0> }
  object { Cube translate < 2, 1,0> }
  object { Cube translate <-2, 0,0> }
  object { Cube translate <-5,-1,0> }
  pigment { Jade }
}
union {
  object { Cube translate < 3, 3,0> }
  object { Cube translate <-2, 2,0> }
  object { Cube translate <-1, 2,0> }
  object { Cube translate < 5, 3,0> }
  object { Cube translate <-5, 2,0> }
  object { Cube translate < 3, 2,0> }
  object { Cube translate < 2, 0,0> }
  object { Cube translate < 4, 0,0> }
  object { Cube translate < 5,-2,0> }
  object { Cube translate <-4,-4,0> }
  object { Cube translate <-3,-4,0> }
  object { Cube translate < 2,-3,0> }
  object { Cube translate <-3,-5,0> }
  object { Cube translate < 3,-5,0> }
  object { Cube translate <-5,-5,0> }
  object { Cube translate < 0,-5,0> }
  object { Cube translate < 1,-4,0> }
  pigment { White_Marble }
}
union {
  object { Cube translate <-4, 4,0> }
  object { Cube translate < 5, 4,0> }
  object { Cube translate <-5, 3,0> }
  object { Cube translate < 1, 2.5,0> }
  object { Cube translate < 2, 3,0> }
  object { Cube translate <-4, 2,0> }
  object { Cube translate <-4, 1,0> }
  object { Cube translate <-2, 1,0> }
  object { Cube translate < 4, 1,0> }
  object { Cube translate < 5, 1,0> }
  object { Cube translate <-4, 0,0> }
  object { Cube translate < 0,-0.5,0> }
  object { Cube translate < 1,-0.5,0> }
  object { Cube translate < 5, 0,0> }
  object { Cube translate <-4,-1,0> }
  object { Cube translate <-2,-1,0> }
  object { Cube translate <-1,-1,0> }
  object { Cube translate < 0,-1.5,0> }
  object { Cube translate < 3,-1,0> }
  object { Cube translate <-3,-2,0> }
  object { Cube translate <-2,-2,0> }
  object { Cube translate <-5,-3,0> }
  object { Cube translate < 1,-3,0> }
  object { Cube translate <-5,-4,0> }
  object { Cube translate < 2,-4,0> }
  object { Cube translate < 4,-4,0> }
  object { Cube translate < 1,-5,0> }
  object { Cube translate < 4,-5,0> }
  object { Cube translate < 5,-5,0> }
  pigment { Cherry_Wood }
}
union {
  object { Cube translate < 0, 3.5,0> }
  object { Cube translate < 0, 2.5,0> }
  object { Cube translate < 1, 1.5,0> }
  object { Cube translate < 1, 0.5,0> }
  object { Cube translate <-5, 0,0> }
  object { Cube translate <-3, 0,0> }
  object { Cube translate < 1,-1.5,0> }
  object { Cube translate < 2,-1,0> }
  object { Cube translate < 5,-1,0> }
  object { Cube translate <-1,-2,0> }
  object { Cube translate < 4,-2,0> }
  object { Cube translate <-1,-3,0> }
  object { Cube translate < 5,-3,0> }
  object { Cube translate <-2,-4,0> }
  object { Cube translate < 0,-4,0> }
  object { Cube translate <-1,-5,0> }
  pigment { MyPurple }
}
